gtkmm: Gtk::Menu_Helpers::ImageMenuElem Class Reference

# Gtk::Menu_Helpers::ImageMenuElem Class Reference

Inherits Gtk::Menu_Helpers::Element.

Collaboration diagram for Gtk::Menu_Helpers::ImageMenuElem:
[legend]

List of all members.

## Public Member Functions

| ImageMenuElem (ImageMenuItem& child)
| ImageMenuElem (const Glib::ustring& label, Gtk::Widget& image_widget, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot.
| ImageMenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Widget& image_widget, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated MenuItem with a sigc::slot.
| ImageMenuElem (const Glib::ustring& label, Gtk::Widget& image_widget, Gtk::Menu& submenu)
| Create a labeled, non-accelerated MenuItem with a submenu.
| ImageMenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Widget& image_widget, Gtk::Menu& submenu)
| Create a labeled, accelerated MenuItem with a submenu.

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | ImageMenuItem& | child | ) |

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Widget& | image_widget,
|  | const CallSlot & | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | image_widget | The image
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Widget& | image_widget,
|  | const CallSlot & | slot = `CallSlot()` |
| ) |  |  |

Create a labeled, accelerated MenuItem with a sigc::slot.

Parameters:

  | label | The menu item's name
  | key | The accelerator key combination
  | image_widget | The image
  | slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Widget& | image_widget,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create a labeled, non-accelerated MenuItem with a submenu.

Parameters:

  | label | The menu item's name
  | image_widget | The image
  | submenu | The sub menu

Gtk::Menu_Helpers::ImageMenuElem::ImageMenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Widget& | image_widget,
|  | Gtk::Menu& | submenu |
| ) |  |  |

Create a labeled, accelerated MenuItem with a submenu.

Parameters:

  | label | The menu item's name
  | key | The accelerator key combination
  | image_widget | The image
  | submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h